import { useState, useEffect } from 'react';
import { getCurrentRound } from "../domain/apiMethods";
import { useGameId, usePlayerName } from '../domain/gameStore';

export default () => {
  const gameId = useGameId();
  const playerName = usePlayerName();
  const [finished, setFinished] = useState(false);
  const [roundInfo, setRoundInfo] = useState({currentRound: null, targetPoint: null, roundSeconds: null});

  useEffect(() => {
    const setup = async () => {
      const { currentRound, coord, timer } = await getCurrentRound(gameId, playerName);
      if (currentRound) {
        setRoundInfo({ currentRound, targetPoint: coord, roundSeconds: timer });
      } else {
        setFinished(true);
      }
    }
    setup();
  }, [gameId, playerName]);

  return [finished, roundInfo];
}